Thread (1 message) 1 message, 1 author, 2016-06-16

Re: [PATCH v5 2/6] t7030-verify-tag: Adds validation for multiple tags

From: Junio C Hamano <hidden>
Date: 2016-06-16 02:18:41

santiago@nyu.edu writes:
From: Santiago Torres <redacted>

The verify-tag command supports multiple tag names as an argument.
That makes it sound as if this is a valid input

	$ git verify-tag "one two three four"

but that is not what you meant.
However, existing tests only test for invocation with a single tag, so
we add a test invoking with multiple tags.
I'd rephrase the above like so:

    t7030: test verifying multiple tags

    The verify-tag command accepts multiple tag names to verify, but
    existing tests only test for invocation with a single tag.

    Add a test invoking it with multiple tags.

I had the same (minor) problem with Eric on the patch text itself.
quoted hunk
Helped-by: Jeff King [off-list ref]
Signed-off-by: Santiago Torres <redacted>
---
 t/t7030-verify-tag.sh | 12 ++++++++++++
 1 file changed, 12 insertions(+)
diff --git a/t/t7030-verify-tag.sh b/t/t7030-verify-tag.sh
index 4608e71..c01621a 100755
--- a/t/t7030-verify-tag.sh
+++ b/t/t7030-verify-tag.sh
@@ -112,4 +112,16 @@ test_expect_success GPG 'verify signatures with --raw' '
 	)
 '
 
+test_expect_success GPG 'verify multiple tags' '
+	tags="fourth-signed sixth-signed seventh-signed" &&
+	for i in $tags; do
+		git verify-tag -v --raw $i || return 1
+	done >expect.stdout 2>expect.stderr.1 &&
+	grep "^.GNUPG" <expect.stderr.1 >expect.stderr &&
+	git verify-tag -v --raw $tags >actual.stdout 2>actual.stderr.1 &&
+	grep "^.GNUPG" <actual.stderr.1 >actual.stderr &&
+	test_cmp expect.stdout actual.stdout &&
+	test_cmp expect.stderr actual.stderr
+'
+
 test_done
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help